Index: trunk/sources/HeuristicLab 3.2.sln
===================================================================
--- trunk/sources/HeuristicLab 3.2.sln	(revision 2758)
+++ trunk/sources/HeuristicLab 3.2.sln	(revision 2759)
@@ -7,4 +7,5 @@
 		..\documentation\License\gpl-3.0.txt = ..\documentation\License\gpl-3.0.txt
 		HeuristicLab 3.2.vsmdi = HeuristicLab 3.2.vsmdi
+		HeuristicLab 3.21.vsmdi = HeuristicLab 3.21.vsmdi
 		LocalTestRun.testrunconfig = LocalTestRun.testrunconfig
 		PreBuildEvent.cmd = PreBuildEvent.cmd
@@ -333,5 +334,5 @@
 Global
 	GlobalSection(TestCaseManagementSettings) = postSolution
-		CategoryFile = HeuristicLab 3.2.vsmdi
+		CategoryFile = HeuristicLab 3.21.vsmdi
 	EndGlobalSection
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
Index: trunk/sources/HeuristicLab.GP.Boolean/3.3/HeuristicLab.GP.Boolean-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.GP.Boolean/3.3/HeuristicLab.GP.Boolean-3.3.csproj	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.Boolean/3.3/HeuristicLab.GP.Boolean-3.3.csproj	(revision 2759)
@@ -81,4 +81,5 @@
   <ItemGroup>
     <Compile Include="BooleanTreeInterpreter.cs" />
+    <None Include="HeuristicLabGPBooleanPlugin.cs.frame" />
     <Compile Include="Symbols\And.cs" />
     <Compile Include="Symbols\Nand.cs" />
@@ -151,5 +152,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25/" "%25ProjectDir%25/HeuristicLabGPBooleanPlugin.cs.frame" "%25ProjectDir%25/HeuristicLabGPBooleanPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.GP.Boolean/3.3/HeuristicLabGPBooleanPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.Boolean/3.3/HeuristicLabGPBooleanPlugin.cs	(revision 2758)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.GP.Boolean {
-  [Plugin("HeuristicLab.GP.Boolean-3.3")]
-  [PluginFile("HeuristicLab.GP.Boolean-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common","3.2.0.0")]
-  [PluginDependency("HeuristicLab.Core-3.2")]
-  [PluginDependency("HeuristicLab.Data-3.2")]
-  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
-  [PluginDependency("HeuristicLab.GP-3.3")]
-  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
-  [PluginDependency("HeuristicLab.Operators-3.2")]
-  [PluginDependency("HeuristicLab.Random-3.2")]
-  public class HeuristicLabGPBooleanPlugin : PluginBase {
-  }
-}
Index: trunk/sources/HeuristicLab.GP.Boolean/3.3/HeuristicLabGPBooleanPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.Boolean/3.3/HeuristicLabGPBooleanPlugin.cs.frame	(revision 2759)
+++ trunk/sources/HeuristicLab.GP.Boolean/3.3/HeuristicLabGPBooleanPlugin.cs.frame	(revision 2759)
@@ -0,0 +1,40 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.GP.Boolean {
+  [Plugin("HeuristicLab.GP.Boolean","3.3.0.$WCREV$")]
+  [PluginFile("HeuristicLab.GP.Boolean-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common","3.2.0.0")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.GP","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.Interfaces","3.3.0.0")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  public class HeuristicLabGPBooleanPlugin : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.GP.Boolean/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.Boolean/3.3/Properties/AssemblyInfo.frame	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.Boolean/3.3/Properties/AssemblyInfo.frame	(revision 2759)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -33,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,5 +53,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyVersion("3.3.0.0")]
 [assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
Index: trunk/sources/HeuristicLab.GP.SantaFe/3.3/HeuristicLab.GP.SantaFe-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.GP.SantaFe/3.3/HeuristicLab.GP.SantaFe-3.3.csproj	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.SantaFe/3.3/HeuristicLab.GP.SantaFe-3.3.csproj	(revision 2759)
@@ -82,4 +82,5 @@
   <ItemGroup>
     <Compile Include="AntInterpreter.cs" />
+    <None Include="HeuristicLabGPSantaFePlugin.cs.frame" />
     <Compile Include="FunctionLibraryInjector.cs" />
     <Compile Include="HeuristicLabGPSantaFePlugin.cs" />
@@ -138,5 +139,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25/" "%25ProjectDir%25/HeuristicLabGPSantaFePlugin.cs.frame" "%25ProjectDir%25/HeuristicLabGPSantaFePlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.GP.SantaFe/3.3/HeuristicLabGPSantaFePlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.SantaFe/3.3/HeuristicLabGPSantaFePlugin.cs	(revision 2758)
+++ 	(revision )
@@ -1,38 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.GP.SantaFe {
-  [Plugin("HeuristicLab.GP.SantaFe-3.3")]
-  [PluginFile("HeuristicLab.GP.SantaFe-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.2")]
-  [PluginDependency("HeuristicLab.Data-3.2")]
-  [PluginDependency("HeuristicLab.GP-3.3")]
-  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
-  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
-  [PluginDependency("HeuristicLab.Random-3.2")]
-  public class HeuristicLabGPSantaFePlugin : PluginBase {
-  }
-}
Index: trunk/sources/HeuristicLab.GP.SantaFe/3.3/HeuristicLabGPSantaFePlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.SantaFe/3.3/HeuristicLabGPSantaFePlugin.cs.frame	(revision 2759)
+++ trunk/sources/HeuristicLab.GP.SantaFe/3.3/HeuristicLabGPSantaFePlugin.cs.frame	(revision 2759)
@@ -0,0 +1,38 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.GP.SantaFe {
+  [Plugin("HeuristicLab.GP.SantaFe","3.3.0.$WCREV$")]
+  [PluginFile("HeuristicLab.GP.SantaFe-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.GP","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.Interfaces","3.3.0.0")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  public class HeuristicLabGPSantaFePlugin : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.GP.SantaFe/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.SantaFe/3.3/Properties/AssemblyInfo.frame	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.SantaFe/3.3/Properties/AssemblyInfo.frame	(revision 2759)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -33,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,5 +53,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyVersion("3.3.0.0")]
 [assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLab.GP.StructureIdentification.Classification-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLab.GP.StructureIdentification.Classification-3.3.csproj	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLab.GP.StructureIdentification.Classification-3.3.csproj	(revision 2759)
@@ -81,4 +81,5 @@
   <ItemGroup>
     <Compile Include="ClassificationMeanSquaredErrorEvaluator.cs" />
+    <None Include="HeuristicLabGPClassificationPlugin.cs.frame" />
     <Compile Include="GPClassificationEvaluatorBase.cs" />
     <Compile Include="CrossValidation.cs" />
@@ -159,5 +160,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25/" "%25ProjectDir%25/HeuristicLabGPClassificationPlugin.cs.frame" "%25ProjectDir%25/HeuristicLabGPClassificationPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLabGPClassificationPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLabGPClassificationPlugin.cs	(revision 2758)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.GP.StructureIdentification.Classification {
-  [Plugin("HeuristicLab.GP.StructureIdentification.Classification-3.3")]
-  [PluginFile("HeuristicLab.GP.StructureIdentification.Classification-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common","3.2.0.0")]
-  [PluginDependency("HeuristicLab.Core-3.2")]
-  [PluginDependency("HeuristicLab.Data-3.2")]
-  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
-  [PluginDependency("HeuristicLab.GP-3.3")]
-  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
-  [PluginDependency("HeuristicLab.GP.StructureIdentification-3.3")]
-  [PluginDependency("HeuristicLab.Modeling-3.2")]
-  [PluginDependency("HeuristicLab.Operators-3.2")]
-  [PluginDependency("HeuristicLab.Random-3.2")]
-  public class HeuristicLabGPClassificationPlugin : PluginBase {
-  }
-}
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLabGPClassificationPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLabGPClassificationPlugin.cs.frame	(revision 2759)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/HeuristicLabGPClassificationPlugin.cs.frame	(revision 2759)
@@ -0,0 +1,42 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.GP.StructureIdentification.Classification {
+  [Plugin("HeuristicLab.GP.StructureIdentification.Classification", "3.3.0.$WCREV$")]
+  [PluginFile("HeuristicLab.GP.StructureIdentification.Classification-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.2.0.0")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.GP", "3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.Interfaces", "3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.StructureIdentification", "3.3.0.0")]
+  [PluginDependency("HeuristicLab.Modeling-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  public class HeuristicLabGPClassificationPlugin : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/Properties/AssemblyInfo.frame	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/3.3/Properties/AssemblyInfo.frame	(revision 2759)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -33,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,5 +53,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyVersion("3.3.0.0")]
 [assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3.csproj	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3.csproj	(revision 2759)
@@ -82,4 +82,5 @@
   <ItemGroup>
     <Compile Include="ConditionalCoefficientOfDeterminationEvaluator.cs" />
+    <None Include="HeuristicLabGPConditionalEvaluationPlugin.cs.frame" />
     <Compile Include="HeuristicLabGPConditionalEvaluationPlugin.cs" />
     <Compile Include="ConditionalMeanAbsolutePercentageErrorEvaluator.cs" />
@@ -139,5 +140,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25/" "%25ProjectDir%25/HeuristicLabGPConditionalEvaluationPlugin.cs.frame" "%25ProjectDir%25/HeuristicLabGPConditionalEvaluationPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/HeuristicLabGPConditionalEvaluationPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/HeuristicLabGPConditionalEvaluationPlugin.cs	(revision 2758)
+++ 	(revision )
@@ -1,39 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.GP.StructureIdentification.ConditionalEvaluation {
-  [Plugin("HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3")]
-  [PluginFile("HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.2")]
-  [PluginDependency("HeuristicLab.Data-3.2")]
-  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
-  [PluginDependency("HeuristicLab.GP-3.3")]
-  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
-  [PluginDependency("HeuristicLab.GP.StructureIdentification-3.3")]
-  [PluginDependency("HeuristicLab.Modeling-3.2")]
-  public class HeuristicLabGPConditionalEvaluationPlugin : PluginBase {
-  }
-}
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/HeuristicLabGPConditionalEvaluationPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/HeuristicLabGPConditionalEvaluationPlugin.cs.frame	(revision 2759)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/HeuristicLabGPConditionalEvaluationPlugin.cs.frame	(revision 2759)
@@ -0,0 +1,39 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.GP.StructureIdentification.ConditionalEvaluation {
+  [Plugin("HeuristicLab.GP.StructureIdentification.ConditionalEvaluation","3.3.0.$WCREV$")]
+  [PluginFile("HeuristicLab.GP.StructureIdentification.ConditionalEvaluation-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.GP","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.Interfaces","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.StructureIdentification","3.3.0.0")]
+  [PluginDependency("HeuristicLab.Modeling-3.2")]
+  public class HeuristicLabGPConditionalEvaluationPlugin : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/Properties/AssemblyInfo.frame	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.ConditionalEvaluation/3.3/Properties/AssemblyInfo.frame	(revision 2759)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -33,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,5 +53,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyVersion("3.3.0.0")]
 [assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/HeuristicLab.GP.StructureIdentification.Networks-3.2.csproj
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/HeuristicLab.GP.StructureIdentification.Networks-3.2.csproj	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/HeuristicLab.GP.StructureIdentification.Networks-3.2.csproj	(revision 2759)
@@ -80,4 +80,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabGPStructureIdentificationNetworksPlugin.cs.frame" />
     <Compile Include="FunctionLibraryInjector.cs" />
     <Compile Include="HeuristicLabGPStructureIdentificationNetworksPlugin.cs" />
@@ -168,5 +169,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25/" "%25ProjectDir%25/HeuristicLabGPStructureIdentificationNetworksPlugin.cs.frame" "%25ProjectDir%25/HeuristicLabGPStructureIdentificationNetworksPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/HeuristicLabGPStructureIdentificationNetworksPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/HeuristicLabGPStructureIdentificationNetworksPlugin.cs	(revision 2758)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.GP.StructureIdentification.Networks {
-  [Plugin("HeuristicLab.GP.StructureIdentification.Networks-3.2")]
-  [PluginFile("HeuristicLab.GP.StructureIdentification.Networks-3.2.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common","3.2.0.0")]
-  [PluginDependency("HeuristicLab.Core-3.2")]
-  [PluginDependency("HeuristicLab.Data-3.2")]
-  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
-  [PluginDependency("HeuristicLab.GP-3.3")]
-  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
-  [PluginDependency("HeuristicLab.GP.StructureIdentification-3.3")]
-  [PluginDependency("HeuristicLab.Modeling-3.2")]
-  [PluginDependency("HeuristicLab.Operators-3.2")]
-  [PluginDependency("HeuristicLab.Random-3.2")]
-  public class HeuristicLabGPStructureIdentificationNetworksPlugin : PluginBase {
-  }
-}
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/HeuristicLabGPStructureIdentificationNetworksPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/HeuristicLabGPStructureIdentificationNetworksPlugin.cs.frame	(revision 2759)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/HeuristicLabGPStructureIdentificationNetworksPlugin.cs.frame	(revision 2759)
@@ -0,0 +1,42 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.GP.StructureIdentification.Networks {
+  [Plugin("HeuristicLab.GP.StructureIdentification.Networks","3.2.0.$WCREV$")]
+  [PluginFile("HeuristicLab.GP.StructureIdentification.Networks-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common","3.2.0.0")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.GP","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.Interfaces","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.StructureIdentification","3.3.0.0")]
+  [PluginDependency("HeuristicLab.Modeling-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  public class HeuristicLabGPStructureIdentificationNetworksPlugin : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/Properties/AssemblyInfo.frame	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/Properties/AssemblyInfo.frame	(revision 2759)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -33,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2009 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,5 +53,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyVersion("3.2.0.0")]
 [assembly: AssemblyFileVersion("3.2.0.$WCREV$")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/HeuristicLab.GP.StructureIdentification.TimeSeries-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/HeuristicLab.GP.StructureIdentification.TimeSeries-3.3.csproj	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/HeuristicLab.GP.StructureIdentification.TimeSeries-3.3.csproj	(revision 2759)
@@ -83,4 +83,5 @@
   <ItemGroup>
     <Compile Include="AveragePercentageChangeEvaluator.cs" />
+    <None Include="HeuristicLabGPTimeSeriesPlugin.cs.frame" />
     <Compile Include="HeuristicLabGPTimeSeriesPlugin.cs" />
     <Compile Include="OffspringSelectionGPTimeSeriesPrognosis.cs" />
@@ -153,5 +154,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25/" "%25ProjectDir%25/HeuristicLabGPTimeSeriesPlugin.cs.frame" "%25ProjectDir%25/HeuristicLabGPTimeSeriesPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/HeuristicLabGPTimeSeriesPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/HeuristicLabGPTimeSeriesPlugin.cs	(revision 2758)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.GP.StructureIdentification.TimeSeries {
-  [Plugin("HeuristicLab.GP.StructureIdentification.TimeSeries-3.3")]
-  [PluginFile("HeuristicLab.GP.StructureIdentification.TimeSeries-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Constraints-3.2")]
-  [PluginDependency("HeuristicLab.Core-3.2")]
-  [PluginDependency("HeuristicLab.Data-3.2")]
-  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
-  [PluginDependency("HeuristicLab.GP-3.3")]
-  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
-  [PluginDependency("HeuristicLab.GP.StructureIdentification-3.3")]
-  [PluginDependency("HeuristicLab.Logging-3.2")]
-  [PluginDependency("HeuristicLab.Modeling-3.2")]
-  [PluginDependency("HeuristicLab.Operators-3.2")]
-  public class HeuristicLabGPTimeSeriesPlugin : PluginBase {
-  }
-}
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/HeuristicLabGPTimeSeriesPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/HeuristicLabGPTimeSeriesPlugin.cs.frame	(revision 2759)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/HeuristicLabGPTimeSeriesPlugin.cs.frame	(revision 2759)
@@ -0,0 +1,42 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.GP.StructureIdentification.TimeSeries {
+  [Plugin("HeuristicLab.GP.StructureIdentification.TimeSeries","3.3.0.$WCREV$")]
+  [PluginFile("HeuristicLab.GP.StructureIdentification.TimeSeries-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Constraints-3.2")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.GP","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.Interfaces","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.StructureIdentification","3.3.0.0")]
+  [PluginDependency("HeuristicLab.Logging-3.2")]
+  [PluginDependency("HeuristicLab.Modeling-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
+  public class HeuristicLabGPTimeSeriesPlugin : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/Properties/AssemblyInfo.frame	(revision 2758)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/Properties/AssemblyInfo.frame	(revision 2759)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -33,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,5 +53,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyVersion("3.3.0.0")]
 [assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
Index: trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLab.LinearRegression-3.2.csproj
===================================================================
--- trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLab.LinearRegression-3.2.csproj	(revision 2758)
+++ trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLab.LinearRegression-3.2.csproj	(revision 2759)
@@ -80,4 +80,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabLinearRegressionPlugin.cs.frame" />
     <Compile Include="LinearClassification.cs" />
     <Compile Include="HeuristicLabLinearRegressionPlugin.cs" />
@@ -167,5 +168,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25/" "%25ProjectDir%25/HeuristicLabLinearRegressionPlugin.cs.frame" "%25ProjectDir%25/HeuristicLabLinearRegressionPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLabLinearRegressionPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLabLinearRegressionPlugin.cs	(revision 2758)
+++ 	(revision )
@@ -1,44 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.LinearRegression {
-  [Plugin("HeuristicLab.LinearRegression-3.2")]
-  [PluginFile("HeuristicLab.LinearRegression-3.2.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.ALGLIB-2.1.2.2591")]
-  [PluginDependency("HeuristicLab.Common","3.2.0.0")]
-  [PluginDependency("HeuristicLab.Core-3.2")]
-  [PluginDependency("HeuristicLab.Data-3.2")]
-  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
-  [PluginDependency("HeuristicLab.GP-3.3")]
-  [PluginDependency("HeuristicLab.GP.Interfaces-3.3")]
-  [PluginDependency("HeuristicLab.GP.StructureIdentification-3.3")]
-  [PluginDependency("HeuristicLab.GP.StructureIdentification.Classification-3.3")]
-  [PluginDependency("HeuristicLab.GP.StructureIdentification.TimeSeries-3.3")]
-  [PluginDependency("HeuristicLab.Modeling-3.2")]
-  [PluginDependency("HeuristicLab.Random-3.2")]
-  [PluginDependency("HeuristicLab.SequentialEngine-3.2")]
-  public class HeuristicLabLinearRegression : PluginBase {
-  }
-}
Index: trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLabLinearRegressionPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLabLinearRegressionPlugin.cs.frame	(revision 2759)
+++ trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLabLinearRegressionPlugin.cs.frame	(revision 2759)
@@ -0,0 +1,44 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.LinearRegression {
+  [Plugin("HeuristicLab.LinearRegression","3.2.0.$WCREV$")]
+  [PluginFile("HeuristicLab.LinearRegression-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.ALGLIB-2.1.2.2591")]
+  [PluginDependency("HeuristicLab.Common","3.2.0.0")]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.GP","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.Interfaces","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.StructureIdentification","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.StructureIdentification.Classification","3.3.0.0")]
+  [PluginDependency("HeuristicLab.GP.StructureIdentification.TimeSeries","3.3.0.0")]
+  [PluginDependency("HeuristicLab.Modeling-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  [PluginDependency("HeuristicLab.SequentialEngine-3.2")]
+  public class HeuristicLabLinearRegression : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.LinearRegression/3.2/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.LinearRegression/3.2/Properties/AssemblyInfo.frame	(revision 2758)
+++ trunk/sources/HeuristicLab.LinearRegression/3.2/Properties/AssemblyInfo.frame	(revision 2759)
@@ -23,5 +23,4 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -33,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,5 +53,4 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyVersion("3.2.0.0")]
 [assembly: AssemblyFileVersion("3.2.0.$WCREV$")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
